Subject: bug#5765: Strange things happens with C-v in read-file-name

From: Lennart Borgman <[email-masked]>
Date: Wed, 24 Mar 2010 19:28:35 +0100

On Wed, Mar 24, 2010 at 6:09 PM, Chong Yidong <[email-masked]> wrote:
> Lennart Borgman <[email-masked]> writes:
>
>>> C-v does not work for me in the read-file-name prompt (C-x C-f) any
>>> more.
>>>
>>> I do not know how to reproduce this from "emacs -Q" at the moment. And
>>> I can't see what is wrong. All keymaps looks as I expect them to do
>>> (including emulation-mode-map-alist). It just looks like
>>> emulation-mode-map-alist is bypassed.
>>>
>>> I can reproduce it with
>>>
>>>  emacs --no-desktop
>>>  C-x b somename RET RET
>>>  C-x C-f C-v
>>>
>>> The problem is there in the 2010-01-21 checkout (unpatched) but not in
>>> 2009-12-04 (patched). Unfortunately I have nothing in between there.
>
> Please bisect your customizations to find the minimally reproducible
> test case.

I have not been able to do that. However I know that I get the same
problem with for example

  M-: (completing-read "my prompt: " '("a" "b"))

I can't find any involved variable that looks suspect. Could you maybe
come up with something to check?